import '../core/rx_impl.dart';

class RxBool extends RxImpl<bool> {
  RxBool([bool initial]) : super(initial);

  RxBool toggle() {
    value = !value;
    return this;
  }

  bool operator &(bool other) => other && value;

  bool operator |(bool other) => other || value;

  bool operator ^(bool other) => !other == value;

  @override
  String toString() => value ? 'true' : 'false';
}

extension RxBoolExt on bool {
  RxBool get obs => RxBool(this);
}
