import 'package:yuro_core/yuro_core.dart';

class YuroController extends DisposableInterface with ListNotifier {
  /// 根据[condition]来更新指定id
  void update([List<String> ids, bool condition = true]) {
    if (!condition) {
      return;
    }
    if (ids == null) {
      refresh();
    } else {
      ids.forEach((id) => refreshGroup(id));
    }
  }
}
